[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldDefs.Add

Add a new field definition to the collection.

## Declaration

Source position: line 0

`public procedure TFieldDefs.Add(`
`const AName: String;`
`ADataType: TFieldType;`
`ASize: Word;`
`ARequired: Boolean`
`); overload; procedure TFieldDefs.Add(`
`const AName: String;`
`ADataType: TFieldType;`
`ASize: Word`
`); overload; procedure TFieldDefs.Add(`
`const AName: String;`
`ADataType: TFieldType`
`); overload;`

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.
`ASize` |  | Value for the Size property of the new item.
`ARequired` |  | Value for the Required property of the new item.

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.
`ASize` |  | Value for the Size property of the new item.

## Arguments

`AName` |  | Value for the Name property of the new item.
`ADataType` |  | Value for the DataType property of the new item.

## Description

Add adds a new item to the collection and fills in the Name, DataType, Size and Required properties of the newly added item with the provided parameters.

## Errors

If an item with name AName already exists in the collection, then an exception will be raised.

## See also

TFieldDefs.AddFieldDef |  | Add new TFieldDef

The latest version of this document can be found at lazarus-ccr.sourceforge.net.